## Contents

- Properties
- Methods

class solace.Topic extends solace.Destination

Represents a Topic, which is a type of solace.Destination.

Deprecated: since 10.0 Applications should not directly refer to this type. solace.Destination provides the full interface available to topic, and it can be determined whether the destination represents a topic if solace.Destination#getType returns solace.DestinationType.TOPIC.

## Constructor Top

| Topic ( Object spec ) |  |

## Properties Top

readonly String | name |  | inherited from solace.Destination
readonly solace.DestinationType | type |  | inherited from solace.Destination

## Methods Top

String | getName ( ) | inherited from solace.Destination
solace.DestinationType | getType ( ) | inherited from solace.Destination
String | toString ( ) | inherited from solace.Destination

## Constructor details Top

###
Topic ( Object spec )

Represents a Topic, which is a type of solace.Destination.

Deprecated: since 10.0 Applications should not directly refer to this type. solace.Destination provides the full interface available to topic, and it can be determined whether the destination represents a topic if solace.Destination#getType returns solace.DestinationType.TOPIC.

#### Parameters

Object | spec The topic spec

## Properties Detail Top

###
public readonly String name

###
public readonly solace.DestinationType type

## Methods Detail Top

###
public String getName ( )

#### Return Value

String | The destination name specified at creation time.

###
public solace.DestinationType getType ( )

#### Return Value

solace.DestinationType | The destination type

###
public String toString ( )

#### Return Value

String | A generic description of the Destination.